# Uses of Class
org.apache.lucene.index.CheckIndex.Status.FieldNormStatus

Packages that use CheckIndex.Status.FieldNormStatus
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

## Uses of CheckIndex.Status.FieldNormStatus in org.apache.lucene.index

Fields in org.apache.lucene.index declared as CheckIndex.Status.FieldNormStatus
Modifier and Type
Field
Description
`CheckIndex.Status.FieldNormStatus`
CheckIndex.Status.SegmentInfoStatus.`fieldNormStatus`
Status for testing of field norms (null if field norms could not be tested).
Methods in org.apache.lucene.index that return CheckIndex.Status.FieldNormStatus
Modifier and Type
Method
Description
`static CheckIndex.Status.FieldNormStatus`
CheckIndex.`testFieldNorms(CodecReader reader, PrintStream infoStream, boolean failFast)`
Test field norms.